Get Business Cases
curl --request GET \
--url https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/{businessID}/cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/{businessID}/cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/case/api/v1/customers/{customerID}/businesses/{businessID}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Business cases fetched successfully",
"data": {
"records": [
{
"id": "f6c42d3c-a0e7-47b3-8734-c21f4348da97",
"customer_id": "22f210e4-4455-4107-b132-97e8478546ea",
"applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b",
"created_at": "2025-03-12T07:33:33.914Z",
"case_type": 1,
"business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59",
"business_name": "test using customer 3 trying new abc",
"status_label": "ONBOARDING",
"assignee": {},
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null,
"applicant": {
"first_name": "Leslie",
"last_name": "Knope__test"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
},
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null,
"metadata": {
"formation_date": "2020-02-24T00:00:00.000Z",
"age": 5,
"revenue": 0,
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null
}
},
{
"id": "ea9bef86-b8ff-46e2-8643-48a68a9f97ab",
"customer_id": "22f210e4-4455-4107-b132-97e8478546ea",
"applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b",
"created_at": "2025-03-12T07:32:35.390Z",
"case_type": 1,
"business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59",
"business_name": "test using customer 3 trying new abc",
"status_label": "ONBOARDING",
"assignee": {},
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null,
"applicant": {
"first_name": "Leslie",
"last_name": "Knope__test"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
},
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null,
"metadata": {
"formation_date": "2020-02-24T00:00:00.000Z",
"age": 5,
"revenue": 0,
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null
}
},
{
"id": "7c9029a1-6913-4f7a-b64b-76aceeb95d39",
"customer_id": "22f210e4-4455-4107-b132-97e8478546ea",
"applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b",
"created_at": "2025-03-12T07:28:50.253Z",
"case_type": 1,
"business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59",
"business_name": "test using customer 3 trying new abc",
"status_label": "ONBOARDING",
"assignee": {},
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null,
"applicant": {
"first_name": "Leslie",
"last_name": "Knope__test"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
},
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null,
"metadata": {
"formation_date": "2020-02-24T00:00:00.000Z",
"age": 5,
"revenue": 0,
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null
}
},
{
"id": "91e576a0-3dff-4b04-bbb2-0cf21ec0fab4",
"customer_id": "22f210e4-4455-4107-b132-97e8478546ea",
"applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b",
"created_at": "2025-03-12T07:17:31.690Z",
"case_type": 1,
"business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59",
"business_name": "test using customer 3 trying new abc",
"status_label": "ONBOARDING",
"assignee": {},
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null,
"applicant": {
"first_name": "Leslie",
"last_name": "Knope__test"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
},
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null,
"metadata": {
"formation_date": "2020-02-24T00:00:00.000Z",
"age": 5,
"revenue": 0,
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null
}
},
{
"id": "c113f633-90c2-4d96-8493-3d4c953fadcc",
"customer_id": "22f210e4-4455-4107-b132-97e8478546ea",
"applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b",
"created_at": "2025-03-12T07:17:01.431Z",
"case_type": 1,
"business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59",
"business_name": "test using customer 3 trying new abc",
"status_label": "ONBOARDING",
"assignee": {},
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null,
"applicant": {
"first_name": "Leslie",
"last_name": "Knope__test"
},
"status": {
"id": 3,
"code": "ONBOARDING",
"label": "ONBOARDING"
},
"report_status": "DOWNLOAD_REPORT_UNAVAILABLE",
"report_id": null,
"report_created_at": null,
"metadata": {
"formation_date": "2020-02-24T00:00:00.000Z",
"age": 5,
"revenue": 0,
"naics_code": null,
"naics_title": null,
"mcc_code": null,
"mcc_title": null
}
}
],
"total_pages": 1,
"total_items": 5
}
}{
"status": "fail",
"message": "You are not allowed to access the data.",
"errorCode": "UNAUTHORIZED",
"data": {
"errorName": "AccessMiddlewareError"
}
}Business
Get Business Cases
Retrieve details about cases associated with a particular customerID and businessID.
GET
/
customers
/
{customerID}
/
businesses
/
{businessID}
/
cases
Get Business Cases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"22f210e4-4455-4107-b132-97e8478546ea"
Example:
"7e4ceac8-a663-431d-9a0e-c4d646f25d59"
Response
OK
Show child attributes
Show child attributes
Example:
{ "records": [ { "id": "f6c42d3c-a0e7-47b3-8734-c21f4348da97", "customer_id": "22f210e4-4455-4107-b132-97e8478546ea", "applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b", "created_at": "2025-03-12T07:33:33.914Z", "case_type": 1, "business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59", "business_name": "test using customer 3 trying new abc", "status_label": "ONBOARDING", "assignee": {}, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null, "applicant": { "first_name": "Leslie", "last_name": "Knope__test" }, "status": { "id": 3, "code": "ONBOARDING", "label": "ONBOARDING" }, "report_status": "DOWNLOAD_REPORT_UNAVAILABLE", "report_id": null, "report_created_at": null, "metadata": { "formation_date": "2020-02-24T00:00:00.000Z", "age": 5, "revenue": 0, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null } }, { "id": "ea9bef86-b8ff-46e2-8643-48a68a9f97ab", "customer_id": "22f210e4-4455-4107-b132-97e8478546ea", "applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b", "created_at": "2025-03-12T07:32:35.390Z", "case_type": 1, "business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59", "business_name": "test using customer 3 trying new abc", "status_label": "ONBOARDING", "assignee": {}, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null, "applicant": { "first_name": "Leslie", "last_name": "Knope__test" }, "status": { "id": 3, "code": "ONBOARDING", "label": "ONBOARDING" }, "report_status": "DOWNLOAD_REPORT_UNAVAILABLE", "report_id": null, "report_created_at": null, "metadata": { "formation_date": "2020-02-24T00:00:00.000Z", "age": 5, "revenue": 0, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null } }, { "id": "7c9029a1-6913-4f7a-b64b-76aceeb95d39", "customer_id": "22f210e4-4455-4107-b132-97e8478546ea", "applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b", "created_at": "2025-03-12T07:28:50.253Z", "case_type": 1, "business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59", "business_name": "test using customer 3 trying new abc", "status_label": "ONBOARDING", "assignee": {}, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null, "applicant": { "first_name": "Leslie", "last_name": "Knope__test" }, "status": { "id": 3, "code": "ONBOARDING", "label": "ONBOARDING" }, "report_status": "DOWNLOAD_REPORT_UNAVAILABLE", "report_id": null, "report_created_at": null, "metadata": { "formation_date": "2020-02-24T00:00:00.000Z", "age": 5, "revenue": 0, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null } }, { "id": "91e576a0-3dff-4b04-bbb2-0cf21ec0fab4", "customer_id": "22f210e4-4455-4107-b132-97e8478546ea", "applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b", "created_at": "2025-03-12T07:17:31.690Z", "case_type": 1, "business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59", "business_name": "test using customer 3 trying new abc", "status_label": "ONBOARDING", "assignee": {}, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null, "applicant": { "first_name": "Leslie", "last_name": "Knope__test" }, "status": { "id": 3, "code": "ONBOARDING", "label": "ONBOARDING" }, "report_status": "DOWNLOAD_REPORT_UNAVAILABLE", "report_id": null, "report_created_at": null, "metadata": { "formation_date": "2020-02-24T00:00:00.000Z", "age": 5, "revenue": 0, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null } }, { "id": "c113f633-90c2-4d96-8493-3d4c953fadcc", "customer_id": "22f210e4-4455-4107-b132-97e8478546ea", "applicant_id": "79ea9a15-a1c2-4b01-8799-7640600a5e3b", "created_at": "2025-03-12T07:17:01.431Z", "case_type": 1, "business_id": "7e4ceac8-a663-431d-9a0e-c4d646f25d59", "business_name": "test using customer 3 trying new abc", "status_label": "ONBOARDING", "assignee": {}, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null, "applicant": { "first_name": "Leslie", "last_name": "Knope__test" }, "status": { "id": 3, "code": "ONBOARDING", "label": "ONBOARDING" }, "report_status": "DOWNLOAD_REPORT_UNAVAILABLE", "report_id": null, "report_created_at": null, "metadata": { "formation_date": "2020-02-24T00:00:00.000Z", "age": 5, "revenue": 0, "naics_code": null, "naics_title": null, "mcc_code": null, "mcc_title": null } } ], "total_pages": 1, "total_items": 5 }
Was this page helpful?
⌘I